<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.StripExtension.HgStripDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.StripExtension.HgStripDialog</h1>
<p>
Module implementing a dialog to enter the data to strip changesets.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#HgStripDialog">HgStripDialog</a></td>
<td>Class implementing a dialog to enter the data to strip changesets.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="HgStripDialog" ID="HgStripDialog"></a>
<h2>HgStripDialog</h2>
<p>
    Class implementing a dialog to enter the data to strip changesets.
</p>

<h3>Derived from</h3>
QDialog, Ui_HgStripDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#HgStripDialog.__init__">HgStripDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#HgStripDialog.__getRevision">__getRevision</a></td>
<td>Private method to generate the revision.</td>
</tr>
<tr>
<td><a href="#HgStripDialog.__updateOK">__updateOK</a></td>
<td>Private slot to update the OK button.</td>
</tr>
<tr>
<td><a href="#HgStripDialog.getData">getData</a></td>
<td>Public method to retrieve the data for the strip action.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="HgStripDialog.__init__" ID="HgStripDialog.__init__"></a>
<h4>HgStripDialog (Constructor)</h4>
<b>HgStripDialog</b>(<i>tagsList, branchesList, bookmarksList=None, rev="", parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>tagsList</i> (list of str)</dt>
<dd>
list of tags
</dd>
<dt><i>branchesList</i> (list of str)</dt>
<dd>
list of branches
</dd>
<dt><i>bookmarksList</i> (list of str)</dt>
<dd>
list of bookmarks
</dd>
<dt><i>rev</i> (str)</dt>
<dd>
revision to strip from
</dd>
<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="HgStripDialog.__getRevision" ID="HgStripDialog.__getRevision"></a>
<h4>HgStripDialog.__getRevision</h4>
<b>__getRevision</b>(<i></i>)
<p>
        Private method to generate the revision.
</p>

<dl>
<dt>Return:</dt>
<dd>
revision
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="HgStripDialog.__updateOK" ID="HgStripDialog.__updateOK"></a>
<h4>HgStripDialog.__updateOK</h4>
<b>__updateOK</b>(<i></i>)
<p>
        Private slot to update the OK button.
</p>

<a NAME="HgStripDialog.getData" ID="HgStripDialog.getData"></a>
<h4>HgStripDialog.getData</h4>
<b>getData</b>(<i></i>)
<p>
        Public method to retrieve the data for the strip action.
</p>

<dl>
<dt>Return:</dt>
<dd>
tuple with the revision, a bookmark name, a flag indicating
            to enforce the strip action, a flag indicating to omit the creation
            of backup bundles and a flag indicating to not modify the working
            directory
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple (str, str, bool, bool, bool)
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
